package pps.core.common.constant;

import cn.hutool.core.date.DateTime;
import cn.hutool.core.date.DateUtil;

import java.math.BigDecimal;

/**
 * 业务操作常量
 *
 * @author ZWT
 * @date 2023/09/05 14:40
 */
public class BusinessConstant {

    /**
     * 模拟登陆
     */
    public static final Long LOGIN_FLAG_SIMULATE = 1000000L;

    /**
     * 权重数组
     */
    public static final int[] LADDER = {10, 5, 3, 1};

    /**
     * 初始父级组织机构ID
     */
    public static final String PARENT_OU_ID = "00000000-0000-0000-0000-000000000000";

    /**
     * 线路标志id
     */
    public static final String LINE_FLAG_ID = "000";

    /**
     * 光伏电站
     */
    public static final String PHOTOVOLTAIC_POWER_STATION = "photovoltaic_power_station";

    /**
     * 默认值
     */
    public static final String DEFAULT_VALUE = "--";

    /**
     * 默认取单个
     */
    public static final String LAST_LIMIT = "LIMIT 1";

    /**
     * 开井
     */
    public static final String OPEN_WELL = "开井";

    /**
     * 井口
     */
    public static final String WELLHEAD = "wellhead";

    /**
     * 光伏发电
     */
    public static final String PHOTOVOLTAIC = "gf";

    /**
     * 储能发电
     */
    public static final String STORED_ENERGY = "cn";

    /**
     * 柴油发电
     */
    public static final String DIESEL_POWER = "cf";

    /**
     * 间抽井
     */
    public static final String INTERVAL_PUMPING_WELL = "INTERVAL";

    /**
     * 连抽井
     */
    public static final String CONTINUOUS_PUMPING_WELL = "CONTINUOUS";

    /**
     * 字符串一
     */
    public static final String STRING_ONE = "1";

    /**
     * 已优化
     */
    public static final String OPTIMIZED_C = "已优化";

    /**
     * 未优化
     */
    public static final String NO_OPTIMIZATION_C = "未优化";

    /**
     * 电站标识
     */
    public static final String PLANT_FLAG = "PLANT";

    /*------------------------------环境------------------------------*/

    /**
     * 长庆
     */
    public static final String ENV_CQ = "CQ";

    /**
     * 松原
     */
    public static final String ENV_SY = "SY";

    /*------------------------------数字------------------------------*/

    /**
     * 1
     */
    public static final Integer ONE = 1;

    /**
     * 0
     */
    public static final Integer ZERO = 0;

    /**
     * 2
     */
    public static final Integer TWO = 2;

    /**
     * 3
     */
    public static final Integer THREE = 3;

    /**
     * 4
     */
    public static final Integer FOUR = 4;

    /**
     * 5
     */
    public static final Integer FIVE = 5;

    /**
     * 10
     */
    public static final Integer TEN = 10;


    /**
     * 0.25
     */
    public static final BigDecimal BIG_DECIMAL_0_25 = BigDecimal.valueOf(0.25);

    /**
     * 0.35
     */
    public static final BigDecimal BIG_DECIMAL_0_35 = BigDecimal.valueOf(0.35);

    /**
     * 6.67
     */
    public static final BigDecimal BIG_DECIMAL_6_67 = BigDecimal.valueOf(6.67);

    /**
     * 2
     */
    public static final BigDecimal BIG_DECIMAL_2 = BigDecimal.valueOf(2);

    /**
     * 3
     */
    public static final BigDecimal BIG_DECIMAL_3 = BigDecimal.valueOf(3);

    /**
     * 4
     */
    public static final BigDecimal BIG_DECIMAL_4 = BigDecimal.valueOf(4);

    /**
     * 60
     */
    public static final BigDecimal BIG_DECIMAL_60 = BigDecimal.valueOf(60);

    /**
     * 100
     */
    public static final BigDecimal BIG_DECIMAL_100 = BigDecimal.valueOf(100);

    /**
     * 10000
     */
    public static final BigDecimal BIG_DECIMAL_10000 = BigDecimal.valueOf(10000);

    /*------------------------------日期------------------------------*/

    /**
     * 日期格式化到天
     */
    public static final String DATE_FORMAT_DAY = "yyyy-MM-dd";

    /**
     * 日期格式全部
     */
    public static final String DATE_FORMAT_ALL = "yyyy-MM-dd HH:mm:ss";

    /**
     * 日期格式到小时
     */
    public static final String DATE_FORMAT_HOUR = "yyyy-MM-dd HH:00:00";

    /**
     * 日期格式化到天(年月日)
     */
    public static final String DATE_FORMAT_DAY_C = "yyyy年MM月dd日";

    /**
     * 时间格式
     */
    public static final String TIME_FORMAT = "HH:mm:ss";

    /**
     * 分钟格式
     */
    public static final String MINUTES_FORMAT = "HH:mm";

    /**
     * 初始化秒
     */
    public static final String INITIALIZATION_SECOND = ":00";

    /**
     * 一天结束时间
     */
    public static final String END_OF_DAY_TIME = "24:00";

    /**
     * 一天开始时间
     */
    public static final String START_OF_DAY_TIME = "00:00";

    /**
     * 日期标志
     */
    public static final DateTime DATE_FLAG = DateUtil.parse("1970-01-02 00:00:00", DATE_FORMAT_ALL);

    /**
     * 日期标志开始
     */
    public static final DateTime DATE_FLAG_BEGIN = DateUtil.parse("1970-01-01 00:00:00", DATE_FORMAT_ALL);

    /*------------------------------字典------------------------------*/

    /**
     * 线路类型
     */
    public static final String LINE_TYPE = "line_type";

    /**
     * 电网类型
     */
    public static final String GRID_TYPE = "grid_type";

    /**
     * 间开类型
     */
    public static final String INTERVAL_TYPE = "interval_type";

    /**
     * 单位级别
     */
    public static final String UNIT_LEVEL = "UNIT_LEVEL";

    /**
     * 运行类型
     */
    public static final String RUN_TYPE = "run_type";

    /**
     * 时段类型
     */
    public static final String TIME_FRAME = "time_frame";

    /**
     * 校准策略
     */
    public static final String CALIBRATION_STRATEGY = "calibration_strategy";

    /**
     * 发电类型
     */
    public static final String GENERATION_TYPE = "generation_type";

    /*------------------------------Redis------------------------------*/

    /**
     * 组织KEY
     */
    public static final String SYS_ORGANIZATION_CACHE = "SYS_ORGANIZATION_CACHE";

    /**
     * 地区KEY
     */
    public static final String SYS_AREA_CACHE = "SYS_AREA_CACHE";
}
